org.apache.sysds.runtime.instructions.spark.utils

## Class RDDConverterUtilsExt.AddRowID

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.utils.RDDConverterUtilsExt.AddRowID

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.Function<scala.Tuple2<org.apache.spark.sql.Row,Long>,org.apache.spark.sql.Row>

Enclosing class:
  RDDConverterUtilsExt

    public static class RDDConverterUtilsExt.AddRowID
    extends Object
    implements org.apache.spark.api.java.function.Function<scala.Tuple2<org.apache.spark.sql.Row,Long>,org.apache.spark.sql.Row>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AddRowID()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.spark.sql.Row` `call(scala.Tuple2<org.apache.spark.sql.Row,Long> arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AddRowID

    public AddRowID()

### Method Detail

#### call

    public org.apache.spark.sql.Row call(scala.Tuple2<org.apache.spark.sql.Row,Long> arg0)
                                  throws Exception

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<scala.Tuple2<org.apache.spark.sql.Row,Long>,org.apache.spark.sql.Row>`
Throws:
  `Exception`